Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QDataWidgetMapper.SubmitPolicy

    java.lang.Object
      java.lang.Enum<QDataWidgetMapper.SubmitPolicy>
          com.trolltech.qt.gui.QDataWidgetMapper.SubmitPolicy

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QDataWidgetMapper.SubmitPolicy>

Enclosing class:
  QDataWidgetMapper

    public static enum QDataWidgetMapper.SubmitPolicy

extends java.lang.Enum<QDataWidgetMapper.SubmitPolicy>
implements QtEnumerator

This enum describes the possible submit policies a `QDataWidgetMapper` supports.

Enum Constant Summary
`AutoSubmit` Whenever a widget loses focus, the widget's current value is set to the item model.
`ManualSubmit` The model is not updated until `submit` is called.

Method Summary
`static QDataWidgetMapper.SubmitPolicy` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QDataWidgetMapper.SubmitPolicy` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QDataWidgetMapper.SubmitPolicy[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### AutoSubmit

    public static final QDataWidgetMapper.SubmitPolicy AutoSubmit

  Whenever a widget loses focus, the widget's current value is set to the item model.

### ManualSubmit

    public static final QDataWidgetMapper.SubmitPolicy ManualSubmit

  The model is not updated until `submit` is called.

Method Detail

### values

    public static final QDataWidgetMapper.SubmitPolicy[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QDataWidgetMapper.SubmitPolicy c : QDataWidgetMapper.SubmitPolicy.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QDataWidgetMapper.SubmitPolicy valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QDataWidgetMapper.SubmitPolicy resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD